%define major	4
%define libname	%mklibname %{name}-gtk3_ %{major}
%define devname	%mklibname %{name}-gtk3 -d

Name:		girara
Version:	0.4.5
Release:	%mkrel 2
Summary:	Simple user interface library
Group:		Development/Other
License:	zlib
URL:		https://pwmt.org/projects/girara/
Source0:	https://github.com/pwmt/girara/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(check)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(json-c)
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	doxygen
BuildRequires:	x11-server-xvfb
BuildRequires:	meson

%description
Girara is a library that implements a user interface that focuses on simplicity
and minimalism.

%package -n %{libname}
Summary:	Simple user interface library
Group:		System/Libraries
Requires:	%{name}-i18n >= %{version}-%{release}

%description -n %{libname}
Girara is a library that implements a user interface that focuses on simplicity
and minimalism.

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{_lib}%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains libraries and header files for developing applications
that use %{name}.

%package i18n
Summary:	Internationalization and locale data for %{name}
Group:		System/Libraries
BuildArch:	noarch

%description i18n
Internationalization and locale data for %{name}.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

#we don't want these
find %{buildroot} -name "*.a" -delete

# fcami - I wish upstream used a consistent naming scheme
%find_lang lib%{name}-gtk3-%{major}

%files i18n -f lib%{name}-gtk3-%{major}.lang

%files -n %{libname}
%license LICENSE
%doc AUTHORS README*
%{_libdir}/libgirara-gtk3.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/girara-gtk3.pc
%{_libdir}/libgirara-gtk3.so


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.4.5-2.mga10
+ Revision: 2236079
- Mageia 10 Mass Rebuild

* Thu Feb 20 2025 daviddavid <daviddavid> 0.4.5-1.mga10
+ Revision: 2149923
- new version: 0.4.5

* Wed Aug 21 2024 daviddavid <daviddavid> 0.4.4-1.mga10
+ Revision: 2087269
- new version: 0.4.4

* Wed Mar 06 2024 daviddavid <daviddavid> 0.4.3-1.mga10
+ Revision: 2048057
- new version: 0.4.3
- now libmajor is 4

* Fri Feb 03 2023 wally <wally> 0.3.9-1.mga9
+ Revision: 1937789
- new version 0.3.9

* Sun Dec 04 2022 wally <wally> 0.3.8-1.mga9
+ Revision: 1917487
- new version 0.3.8

* Sat Apr 23 2022 wally <wally> 0.3.7-1.mga9
+ Revision: 1852855
- new version 0.3.7

* Sat Apr 02 2022 umeabot <umeabot> 0.3.6-2.mga9
+ Revision: 1840459
- Mageia 9 Mass Rebuild

* Fri Nov 12 2021 wally <wally> 0.3.6-1.mga9
+ Revision: 1755934
- new version 0.3.6

* Sun Nov 29 2020 luigiwalser <luigiwalser> 0.3.5-2.mga8
+ Revision: 1650338
- rebuild for json-c

* Sun Nov 08 2020 wally <wally> 0.3.5-1.mga8
+ Revision: 1643607
- new version 0.3.5

* Fri Apr 24 2020 wally <wally> 0.3.4-1.mga8
+ Revision: 1571704
- new version 0.3.4

* Sat Feb 15 2020 umeabot <umeabot> 0.3.2-3.mga8
+ Revision: 1525437
- Mageia 8 Mass Rebuild

* Wed Apr 17 2019 umeabot <umeabot> 0.3.2-2.mga7
+ Revision: 1392228
- Rebuild with meson 0.50.1

* Sat Mar 30 2019 wally <wally> 0.3.2-1.mga7
+ Revision: 1382153
- new version 0.3.2
- new libmajor 3
- switch to meson build

* Mon Aug 27 2018 daviddavid <daviddavid> 0.2.7-2.mga7
+ Revision: 1254936
- rebuild for new json-c 0.13.1

* Tue Oct 10 2017 wally <wally> 0.2.7-1.mga7
+ Revision: 1170730
- new version 0.2.7
- BR libnotify and json-c

* Sat May 14 2016 wally <wally> 0.2.6-1.mga6
+ Revision: 1015423
- new version 0.2.6

* Fri Dec 25 2015 wally <wally> 0.2.5-1.mga6
+ Revision: 914575
- new version 0.2.5

* Mon Jun 22 2015 wally <wally> 0.2.4-1.mga6
+ Revision: 839735
- new version 0.2.4
- new libmajor 2

* Wed Oct 15 2014 umeabot <umeabot> 0.2.2-3.mga5
+ Revision: 744533
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.2-2.mga5
+ Revision: 679587
- Mageia 5 Mass Rebuild

* Wed Jun 25 2014 wally <wally> 0.2.2-1.mga5
+ Revision: 639711
- new version 0.2.2

* Tue Feb 18 2014 wally <wally> 0.2.0-1.mga5
+ Revision: 594449
- new version 0.2.0

* Tue Feb 04 2014 wally <wally> 0.1.9-1.mga5
+ Revision: 581974
- new version 0.1.9

* Tue Feb 04 2014 wally <wally> 0.1.8-1.mga5
+ Revision: 581075
- new version 0.1.8
- switch to gtk3

* Sat Oct 19 2013 umeabot <umeabot> 0.1.7-2.mga4
+ Revision: 532083
- Mageia 4 Mass Rebuild

* Thu Aug 15 2013 wally <wally> 0.1.7-1.mga4
+ Revision: 466757
- new version 0.1.7

* Mon Jun 24 2013 wally <wally> 0.1.6-1.mga4
+ Revision: 446310
- mageiafy .spec
- imported package girara


* Wed May 29 2013 Petr Šabata <contyk@redhat.com> - 0.1.6-2
- Revision bump for f19 updates

* Tue May 21 2013 Petr Šabata <contyk@redhat.com> - 0.1.6-1
- 0.1.6 bump, 1.1 soname bump
- Fix bogus dates in changelog
- Use more macros

* Fri Feb 22 2013 Kevin Fenzi <kevin@scrye.com> 0.1.5-1
- Update to 0.1.5

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Nov 27 2012 François Cami <fcami@fedoraproject.org> - 0.1.4-2
- remove static library [863049]

* Mon Nov 05 2012 Kevin Fenzi <kevin@scrye.com> 0.1.4-1
- Update to 0.1.4

* Tue Aug 21 2012 François Cami <fcami@fedoraproject.org> - 0.1.3-6
- really remove EL5-specific stuff (thanks to Mario B)

* Tue Aug 21 2012 François Cami <fcami@fedoraproject.org> - 0.1.3-5
- make -devel really depend on base package. (thanks to Mario B).
- remove el5 compatibility.

* Sun Aug 19 2012 François Cami <fcami@fedoraproject.org> - 0.1.3-4
- remove LICENSE from -devel; fix debuginfo (thanks to Mario B).

* Sun Aug 12 2012 François Cami <fcami@fedoraproject.org> - 0.1.3-3
- BuildRequires fixes suggested by Dennis Johnson.

* Sat Aug 11 2012 François Cami <fcami@fedoraproject.org> - 0.1.3-2
- fixes suggested by Mario Blättermann.

* Fri Aug 10 2012 François Cami <fcami@fedoraproject.org> - 0.1.3-1
- initial package, needed for zathura.

